# PhasicFlow: pFlow::triangleFunctions Namespace Reference

pFlow::triangleFunctions Namespace Reference

## Functions

INLINE_FUNCTION_HD real | triangleSurface (const realx3 &p1, const realx3 &p2, const realx3 &p3)

## Function Documentation

## triangleSurface()

INLINE_FUNCTION_HD real pFlow::triangleFunctions::triangleSurface | ( | const realx3 & | p1,
|  | const realx3 & | p2,
|  | const realx3 & | p3
| ) |  |

Definition at line 30 of file triangleFunctions.hpp.

References pFlow::abs(), cross(), and length().

Referenced by pFlow::triSurfaceKernels::calculateArea().

Here is the call graph for this function:
Here is the caller graph for this function: